View Issue Details

IDProjectCategoryView StatusLast Update
0004391SymmetricDS ProNew Featurepublic2020-06-04 13:55
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004391: Rate staging performance
DescriptionOn the Manage -> Staging screen, add a window that rates the staging performance on a scale of 1.0 to 9.9. Break down statistics for acquiring lock, creating batch, writing batch, renaming batch (changing state), finding batch, and reading batch. Use stage manager just like any service would to gather stats.
Tagsperformance

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 d40f2e87

2020-05-06 09:05:00

admin

Details Diff
0004391: Rate staging performance
0004391
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingPerf.java Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingPerfListener.java Diff File
add - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingPerfResult.java Diff File

SymmetricDS: 3.12 8bccceb5

2020-05-06 15:07:00

admin

Details Diff
0004391: Rate staging performance
0004391
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingPerf.java Diff File

Issue History

Date Modified Username Field Change
2020-05-06 09:04 elong New Issue
2020-05-06 09:04 elong Status new => assigned
2020-05-06 09:04 elong Assigned To => elong
2020-05-06 09:04 elong Tag Attached: performance
2020-05-06 09:06 elong Status assigned => resolved
2020-05-06 09:06 elong Resolution open => fixed
2020-05-06 09:06 elong Fixed in Version => 3.12.0
2020-05-26 14:49 elong Status resolved => closed
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.12 8bccceb5
2020-06-04 13:55 admin Changeset attached => SymmetricDS 3.12 d40f2e87